Bug 479290 - system search behavior should match the package search behavior.
system search behavior should match the package search behavior.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Jesus M. Rodriguez
Preethi Thomas
:
Depends On:
Blocks: 457073
  Show dependency treegraph
 
Reported: 2009-01-08 12:23 EST by Preethi Thomas
Modified: 2009-09-10 15:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:31:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-01-08 12:23:16 EST
Description of problem:

It would make more sense for the system search to follow the package search behavior when it sees low scoring results,  ask it to return up to 10 low scoring matches, then filter the rest.

An example for a low score result would be
1. Register some fjs systems. (or some systems with a bunch of chars)
2. Go to Advanced system search and enter "fjs" for search term.
3. Select Name/Description from what to search.
4. Hit Search

Notice that nothing is displayed. 


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20081223.1-i386-embedded-oracle.iso

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Matthews 2009-01-12 15:36:38 EST
After looking into this some more I don't think this change is needed.  I believe I misdiagnosed the problem Preethi was having when I recommended this change.  I'd like to ask for this to be re-tested.
Comment 2 Preethi Thomas 2009-02-02 16:14:04 EST
verified.
Comment 3 Miroslav Suchý 2009-08-12 11:55:58 EDT
search search in name and description of systems as expected.
verified in stage.
Comment 4 Brandon Perkins 2009-09-10 15:31:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.